<?xml version="1.0" encoding="utf-8"?>
<extension type="module" version="1.6.0" client="site" method="upgrade">
    <name>VTEM Engine</name>
    <author>Nguyen Van Tuyen</author>
    <creationDate>01/01/2014</creationDate>
    <authorEmail>tuyen0110@gmail.com</authorEmail>
    <authorUrl>http://www.vtem.net</authorUrl>
    <copyright>(C) 2010-2012 VTEM.NET - All rights reserved.</copyright>
    <license>http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2</license>
    <version>1.0</version>
    <description>MOD_VTEM_ENGINE_DESC</description>
    <files>
        <filename module="mod_vtem_engine">mod_vtem_engine.php</filename>
        <filename>helper.php</filename>
        <filename>index.html</filename>
        <folder>admin</folder>
        <folder>fields</folder>
        <folder>styles</folder>
        <folder>tmpl</folder>
    </files>
	<languages>
		<language tag="en-GB">language/en-GB.mod_vtem_engine.ini</language>
	</languages>
	<config>
	 <fields name="params" addfieldpath="/modules/mod_vtem_engine/fields">
	  <fieldset name="ENGINES_BASIC" label="MOD_VTEM_ENGINE_FIELD_DATASOURCE_LABEL">
        <field name="" type="k2check" default="" label="" description=""/>
		<field name="module_type" type="list" default="slideshow" label="MOD_VTEM_ENGINE_FIELD_MODULETYPE_LABEL" description="MOD_VTEM_ENGINE_FIELD_MODULETYPE_DESC">
                    <option value="slideshow">MOD_VTEM_ENGINE_FIELD_MODSLIDESHOW</option>
					<option value="scroller">MOD_VTEM_ENGINE_FIELD_MODSCROOLER</option>
                    <option value="tabs">MOD_VTEM_ENGINE_FIELD_MODTABS</option>
					<option value="accordion">MOD_VTEM_ENGINE_FIELD_MODACCORDION</option>
					<option value="lightbox">MOD_VTEM_ENGINE_FIELD_MODLIGHTBOX</option>
        </field>
        <field name="content_source" type="list" default="images" label="MOD_VTEM_ENGINE_FIELD_DATASOURCE_LABEL" description="MOD_VTEM_ENGINE_FIELD_DATASOURCE_DESC">
                    <option value="joomla">MOD_VTEM_ENGINE_FIELD_DATASOURCE_JOOMLA</option>
                    <option value="k2">MOD_VTEM_ENGINE_FIELD_DATASOURCE_K2</option>
                    <option value="mods">MOD_VTEM_ENGINE_FIELD_DATASOURCE_MODULE</option>
					<option value="images">MOD_VTEM_ENGINE_FIELD_DATASOURCE_IMAGES</option>
        </field>
	  
        <!--Joomla Content Start-->
		  <field type="startspacer" name="ENGINES_JOOMLA" label="MOD_VTEM_ENGINE_FIELD_DATASOURCE_JOOMLA" class="vt_joomla" />   
		    <field name="show_front" type="radio" default="show" label="MOD_VTEM_ENGINE_FIELD_SHOWFEATURED_LABEL" description="MOD_VTEM_ENGINE_FIELD_SHOWFEATURED_DESC">
					<option value="show">JSHOW</option>
					<option value="hide">JHIDE</option>
					<option value="only">MOD_VTEM_ENGINE_OPTION_ONLYFEATURED_VALUE</option>
			</field>
			<field name="category_filtering_type" type="radio" default="1" label="MOD_VTEM_ENGINE_FIELD_CATFILTERINGTYPE_LABEL" description="MOD_VTEM_ENGINE_FIELD_CATFILTERINGTYPE_DESC">
					<option value="1">MOD_VTEM_ENGINE_OPTION_INCLUSIVE_VALUE</option>
					<option value="0">MOD_VTEM_ENGINE_OPTION_EXCLUSIVE_VALUE</option>
			</field>
            <field name="catid" type="category" extension="com_content" multiple="true" size="5" label="JCATEGORY" description="MOD_VTEM_ENGINE_FIELD_CATEGORY_DESC">
					<option value="">JOPTION_ALL_CATEGORIES</option>
			</field>
            <field name="show_child_category_articles" type="radio" default="0" label="MOD_VTEM_ENGINE_FIELD_SHOWCHILDCATEGORYARTICLES_LABEL"
 description="MOD_VTEM_ENGINE_FIELD_SHOWCHILDCATEGORYARTICLES_DESC">
					<option value="1">MOD_VTEM_ENGINE_OPTION_INCLUDE_VALUE</option>
					<option value="0">MOD_VTEM_ENGINE_OPTION_EXCLUDE_VALUE</option>
			</field>
           <field name="levels" type="text" default="1" label="MOD_VTEM_ENGINE_FIELD_CATDEPTH_LABEL" description="MOD_VTEM_ENGINE_FIELD_CATDEPTH_DESC" />
            <field name="author_filtering_type" type="radio" default="1" label="MOD_VTEM_ENGINE_FIELD_AUTHORFILTERING_LABEL" description="MOD_VTEM_ENGINE_FIELD_AUTHORFILTERING_DESC">
					<option value="1">MOD_VTEM_ENGINE_OPTION_INCLUSIVE_VALUE</option>
					<option value="0">MOD_VTEM_ENGINE_OPTION_EXCLUSIVE_VALUE</option>
			</field>
            <field name="created_by" type="sql" multiple="true" size="5" label="MOD_VTEM_ENGINE_FIELD_AUTHOR_LABEL" description="MOD_VTEM_ENGINE_FIELD_AUTHOR_DESC" query="select id, name, username from #__users where id IN (select distinct(created_by) from #__content) order by name ASC" key_field="id" value_field="name">
					<option value="">JOPTION_SELECT_AUTHORS</option>
			</field>
			<field name="article_filtering_type" type="radio" default="1" label="MOD_VTEM_ENGINE_FIELD_ARTICLEFILTERINGTYPE_LABEL" description="MOD_VTEM_ENGINE_FIELD_ARTICLEFILTERINGTYPE_DESC">
					<option value="1">MOD_VTEM_ENGINE_OPTION_INCLUSIVE_VALUE</option>
					<option value="0">MOD_VTEM_ENGINE_OPTION_EXCLUSIVE_VALUE</option>
			</field>
			<field name="article_ids" type="text" label="MOD_VTEM_ENGINE_FIELD_EXCLUDEDARTICLES_LABEL" description="MOD_VTEM_ENGINE_FIELD_EXCLUDEDARTICLES_DESC" />
			<field name="article_ordering" type="list" default="a.title" label="MOD_VTEM_ENGINE_FIELD_ARTICLEORDERING_LABEL" description="MOD_VTEM_ENGINE_FIELD_ARTICLEORDERING_DESC">
					<option value="a.ordering">MOD_VTEM_ENGINE_OPTION_ORDERING_VALUE</option>
					<option value="a.hits">MOD_VTEM_ENGINE_OPTION_HITS_VALUE</option>
					<option value="a.title">JGLOBAL_TITLE</option>
					<option value="a.id">MOD_VTEM_ENGINE_OPTION_ID_VALUE</option>
					<option value="a.alias">JFIELD_ALIAS_LABEL</option>
					<option value="a.created">MOD_VTEM_ENGINE_OPTION_CREATED_VALUE</option>
					<option value="modified">MOD_VTEM_ENGINE_OPTION_MODIFIED_VALUE</option>
					<option value="publish_up">MOD_VTEM_ENGINE_OPTION_STARTPUBLISHING_VALUE</option>
					<option value="a.publish_down">MOD_VTEM_ENGINE_OPTION_FINISHPUBLISHING_VALUE</option>
			</field>
			<field name="article_ordering_direction" type="list" default="ASC" label="MOD_VTEM_ENGINE_FIELD_ARTICLEORDERINGDIR_LABEL" description="MOD_VTEM_ENGINE_FIELD_ARTICLEORDERINGDIR_DESC">
					<option value="DESC">MOD_VTEM_ENGINE_OPTION_DESCENDING_VALUE</option>
					<option value="ASC">MOD_VTEM_ENGINE_OPTION_ASCENDING_VALUE</option>
			</field>
			<field name="showtitle" type="radio" default="1" label="MOD_VTEM_ENGINE_FIELD_SHOWTITLE_LABEL" description="MOD_VTEM_ENGINE_FIELD_SHOWTITLE_DESC">
					<option value="1">JYES</option>
					<option value="0">JNO</option>
			</field>
			<field name="link_titles" type="radio" default="1" label="MOD_VTEM_ENGINE_FIELD_LINKTITLES_LABEL" description="MOD_VTEM_ENGINE_FIELD_LINKTITLES_DESC">
				<option value="1">JYES</option>
				<option value="0">JNO</option>
			</field>
			<field name="show_date" type="radio" default="0" label="JDATE" description="MOD_VTEM_ENGINE_FIELD_SHOWDATE_DESC">
				<option value="1">JSHOW</option>
				<option value="0">JHIDE</option>
			</field>
			<field name="show_date_field" type="list" default="created"	label="MOD_VTEM_ENGINE_FIELD_DATEFIELD_LABEL" description="MOD_VTEM_ENGINE_FIELD_DATEFIELD_DESC">
				<option value="created">MOD_VTEM_ENGINE_OPTION_CREATED_VALUE</option>
				<option value="modified">MOD_VTEM_ENGINE_OPTION_MODIFIED_VALUE</option>
				<option value="publish_up">MOD_VTEM_ENGINE_OPTION_STARTPUBLISHING_VALUE</option>
			</field>
			<field name="show_date_format" type="text" default="Y-m-d H:i:s" label="MOD_VTEM_ENGINE_FIELD_DATEFIELDFORMAT_LABEL" description="MOD_VTEM_ENGINE_FIELD_DATEFIELDFORMAT_DESC" />
			<field name="show_category" type="radio" default="0" label="JCATEGORY" description="MOD_VTEM_ENGINE_FIELD_SHOWCATEGORY_DESC">
				<option value="1">JSHOW</option>
				<option value="0">JHIDE</option>
			</field>
			<field name="show_hits" type="radio" default="0" label="MOD_VTEM_ENGINE_FIELD_SHOWHITS_LABEL" description="MOD_VTEM_ENGINE_FIELD_SHOWHITS_DESC">
				<option value="1">JSHOW</option>
				<option value="0">JHIDE</option>
			</field>
			<field name="show_author" type="radio" default="0" label="JAUTHOR" description="MOD_VTEM_ENGINE_FIELD_SHOWAUTHOR_DESC">
				<option value="1">JSHOW</option>
				<option value="0">JHIDE</option>
			</field>
			<field name="image_type" type="list" default="image_article" label="MOD_VTEM_ENGINE_FIELD_IMAGETYPE_LABEL" description="MOD_VTEM_ENGINE_FIELD_IMAGETYPE_DESC" class="vt-para-slideshow vt-para-scroller vt-para">
			       <option value="imgae_intro">MOD_VTEM_ENGINE_FIELD_IMAGETYPE_INTRO</option>
		           <option value="image_full">MOD_VTEM_ENGINE_FIELD_IMAGETYPE_FULL</option>
				   <option value="image_article">MOD_VTEM_ENGINE_FIELD_IMAGETYPE_ARTICLE</option>
				   <option value="none">JNONE</option>
		    </field>
			<field name="show_introtext" type="radio" default="1" label="MOD_VTEM_ENGINE_FIELD_SHOWINTROTEXT_LABEL" description="MOD_VTEM_ENGINE_FIELD_SHOWINTROTEXT_DESC">
				<option value="1">JSHOW</option>
				<option value="0">JHIDE</option>
			</field>
			<field name="introtext_limit" type="text" default="0" label="MOD_VTEM_ENGINE_FIELD_INTROTEXTLIMIT_LABEL" description="MOD_VTEM_ENGINE_FIELD_INTROTEXTLIMIT_DESC" />
			<field name="show_readmore" label="JGLOBAL_SHOW_READMORE_LABEL" description="JGLOBAL_SHOW_READMORE_DESC" type="radio" default="0">
					<option value="1">JSHOW</option>
					<option value="0">JHIDE</option>
			</field>
			<field name="readmore" type="text" default="Read more..." label="MOD_VTEM_ENGINE_READMORE_LABEL" description=""/>
		  <field type="endspacer" />
        <!--Joomla Contents End-->
	 
        <!--K2 Contents Start-->
		  <field type="startspacer" name="ENGINES_K2" label="MOD_VTEM_ENGINE_FIELD_DATASOURCE_K2" class="vt_k2" />
            <field name="k2_all" type="selectall" default="1" label="MOD_VTEM_ENGINE_FIELD_K2FILTER_LABEL" description="MOD_VTEM_ENGINE_FIELD_K2FILTER_DESC" select="k2_category"/>
			<field name="k2_category" type="k2categories" default="" multiple="true" size="10" label="MOD_VTEM_ENGINE_FIELD_K2CAT_LABEL" description="" />
			<field name="k2_children" type="list" default="0" label="MOD_VTEM_ENGINE_FIELD_K2CHILD_LABEL" description="MOD_VTEM_ENGINE_FIELD_K2CHILD_DESC">
				<option value="0">No</option>
				<option value="1">Yes</option>
			</field>
			<field name="k2_featured" type="list" default="1" label="MOD_VTEM_ENGINE_K2_FEATURED_ITEMS" description="">
				<option value="0">Hide</option>
				<option value="1">Show</option>
				<option value="2">Only Featured Items</option>
			</field>
			<field name="k2_itemsOrdering" type="list" default="" label="MOD_VTEM_ENGINE_FIELD_K2ORDER_LABEL" description="">
				<option value="">Default</option>
				<option value="date">Oldest first</option>
				<option value="rdate">Most recent first</option>
				<option value="alpha">Title Alphabetical</option>
				<option value="ralpha">Title Reverse-Alphabetical</option>
				<option value="order">Ordering</option>
			</field>
			<field name="k2_itemTitle" type="radio" default="1" label="MOD_VTEM_ENGINE_K2_TITLE" description="">
                    <option value="0">JHIDE</option>
                    <option value="1">JSHOW</option>
            </field>
			<field name="k2_itemImage" type="radio" default="1" label="MOD_VTEM_ENGINE_K2_IMAGE" description="">
                    <option value="0">JHIDE</option>
                    <option value="1">JSHOW</option>
            </field>
			<field name="k2_image_size" type="list" default="L" label="MOD_VTEM_ENGINE_K2_IMAGE_SIZE" description="">
				<option value="XS">XSmall</option>
				<option value="S">Small</option>
				<option value="M">Medium</option>
				<option value="L">Large</option>
				<option value="XL">XLager</option>
			</field>
			<field name="k2_itemCategory" type="radio" default="0" label="MOD_VTEM_ENGINE_K2_CATEGORY" description="">
				<option value="0">JHIDE</option>
				<option value="1">JSHOW</option>
			</field>
			<field name="k2_itemDateCreated" type="radio" default="0" label="MOD_VTEM_ENGINE_K2_CREATED_DATE_AND_TIME" description="">
				<option value="0">JHIDE</option>
				<option value="1">JSHOW</option>
			</field>
			<field name="k2_itemHits" type="radio" default="0" label="MOD_VTEM_ENGINE_K2_HITS" description="">
				<option value="0">JHIDE</option>
				<option value="1">JSHOW</option>
			</field>
			<field name="k2_itemExtraFields" type="radio" default="0" label="MOD_VTEM_ENGINE_K2_EXTRA_FIELDS" description="">
				<option value="0">JHIDE</option>
				<option value="1">JSHOW</option>
			</field>
			<field name="k2_itemIntroText" type="radio" default="1" label="MOD_VTEM_ENGINE_K2_INTROTEXT" description="">
                    <option value="0">JHIDE</option>
                    <option value="1">JSHOW</option>
            </field>
            <field name="k2_itemIntroTextLimit" type="text" default="0" label="MOD_VTEM_ENGINE_K2_INTROTEXT_WORD_LIMIT" description="MOD_VTEM_ENGINE_K2_INTROTEXT_WORD_LIMIT_DESC"/>
			<field name="show_k2readmore" label="JGLOBAL_SHOW_READMORE_LABEL" description="JGLOBAL_SHOW_READMORE_DESC" type="radio" default="0">
				<option value="1">JSHOW</option>
				<option value="0">JHIDE</option>
			</field>
			<field name="k2readmore" type="text" default="Read more..." label="MOD_VTEM_ENGINE_READMORE_LABEL" description=""/>
		   <field type="endspacer" />
        <!--K2 item End-->

        <!--Modules Start-->
		  <field type="startspacer" name="ENGINES_MODULE" label="MOD_VTEM_ENGINE_FIELD_DATASOURCE_MODULE" class="vt_mods" />
			<field name="modules" type="sql" default="0" multiple="multiple" size="10" label="MOD_VTEM_ENGINE_FIELD_MODULES_LABEL" description="MOD_VTEM_ENGINE_FIELD_MODULES_DESC" query="SELECT id, module, title FROM #__modules WHERE  `client_id`=0 AND ( `published` !=-2 AND `published` !=0 ) ORDER BY ordering ASC" key_field="id" value_field="title" />
			<field name="sortModuleManual" type="text" default="" label="MOD_VTEM_ENGINE_FIELD_MODMANUAL_LABEL" description="MOD_VTEM_ENGINE_FIELD_MODMANUAL_DESC" />
	      <field type="endspacer" />
        <!--Module End-->
	
	    <!--Images Start-->
		 <field type="startspacer" name="ENGINES_IMAGES" label="MOD_VTEM_ENGINE_FIELD_DATASOURCE_IMAGES" class="vt_images" />
				<field name="imagePath" type="text" default="images/sampledata/fruitshop" label="MOD_VTEM_ENGINE_FIELD_IMAGEFOLDER_LABEL" description="MOD_VTEM_ENGINE_FIELD_IMAGEFOLDER_DESC" size="35" />
				<field name="sortCriteria" type="list" default="0" label="MOD_VTEM_ENGINE_FIELD_SORTCRITERIA_LABEL" description="MOD_VTEM_ENGINE_FIELD_SORTCRITERIA_DESC">
					<option value="0">MOD_VTEM_ENGINE_FIELD_SORTCRITERIA_ALPHA</option>
					<option value="1">MOD_VTEM_ENGINE_FIELD_SORTCRITERIA_DATE</option>
				</field>
				<field name="sortOrder" type="list" default="0" label="MOD_VTEM_ENGINE_FIELD_SORTORDER_LABEL" description="MOD_VTEM_ENGINE_FIELD_SORTORDER_DESC">
					<option value="0">MOD_VTEM_ENGINE_FIELD_SORTORDER_ASC</option>
					<option value="1">MOD_VTEM_ENGINE_FIELD_SORTORDER_VDESC</option>
					<option value="2">MOD_VTEM_ENGINE_FIELD_SORTORDER_RAND</option>
				</field>
				<field name="sortOrderManual" type="text" default="" label="MOD_VTEM_ENGINE_FIELD_SORTORDERMANUAL_LABEL" description="MOD_VTEM_ENGINE_FIELD_SORTORDERMANUAL_DESC" size="40" />
				<field name="linkedimage" type="radio" default="0" label="MOD_VTEM_ENGINE_FIELD_LINKEDIMAGE_LABEL" description="MOD_VTEM_ENGINE_FIELD_LINKEDIMAGE_DESC">
					<option value="0">JNO</option>
					<option value="1">JYES</option>
				</field>
				<field name="linktarget" type="list" default="_parent" label="MOD_VTEM_ENGINE_FIELD_LINKTARGET_LABEL" description="MOD_VTEM_ENGINE_FIELD_LINKTARGET_DESC">
					<option value="_parent">MOD_VTEM_ENGINE_FIELD_SAMEPAGE_DESC</option>
					<option value="_blank">MOD_VTEM_ENGINE_FIELD_NEWPAGE_DESC</option>
				</field>
				<field name="urls" type="textarea" rows="4" cols="40" default="http://www.vtem.net; http://www.google.com; http://www.cnn.com" label="MOD_VTEM_ENGINE_FIELD_IMAGEURLS_LABEL" description="MOD_VTEM_ENGINE_FIELD_IMAGEURLS_DESC"/>
				<field name="showcaption" type="radio" default="1" label="MOD_VTEM_ENGINE_FIELD_CAPTION_LABEL" description="MOD_VTEM_ENGINE_FIELD_CAPTION_DESC">
					<option value="0">JNO</option>
					<option value="1">JYES</option>
				</field>
				<field name="imagetitle" type="textarea" rows="4" cols="40" default="Your title1; Your title2; Your title3" label="MOD_VTEM_ENGINE_FIELD_IMAGETITLE_LABEL" description="MOD_VTEM_ENGINE_FIELD_IMAGETITLE_DESC" filter="raw"/>
				<field name="imagecontent" type="textarea" rows="4" cols="40" default=" " label="MOD_VTEM_ENGINE_FIELD_IMAGECONTENT_LABEL" description="MOD_VTEM_ENGINE_FIELD_IMAGECONTENT_DESC" filter="raw"/>
		<field type="endspacer" />
      <!--Images End-->
	</fieldset>
	<fieldset name="ENGINES_ADVANCED" label="Settings">
            <field name="width" type="text" label="MOD_VTEM_ENGINE_FIELD_MODWIDTH_LABEL" default="100%" description="MOD_VTEM_ENGINE_FIELD_MODWIDTH_DESC" />
			<field name="height" type="text" label="MOD_VTEM_ENGINE_FIELD_MODHEIGHT_LABEL" default="auto" description="MOD_VTEM_ENGINE_FIELD_MODHEIGHT_DESC" />
            <field name="countItems" type="text" default="3" label="MOD_VTEM_ENGINE_FIELD_ENGINEMAX_LABEL" description="MOD_VTEM_ENGINE_FIELD_ENGINEMAX_DESC" />
			<!--Parameter for Tabs-->
            <field name="tabs_position" type="list" default="top" label="MOD_VTEM_ENGINE_FIELD_ENGINEPOS_LABEL" description="MOD_VTEM_ENGINE_FIELD_ENGINEPOS_DESC" class="vt-para-tabs vt-para">
                <option value="top">MOD_VTEM_ENGINE_FIELD_ENGINEPOSTOP_LABEL</option>
                <option value="bottom">MOD_VTEM_ENGINE_FIELD_ENGINEPOSBOTTOM_LABEL</option>
				<option value="hide">JHIDE</option>
            </field>
            <field name="mouseEvent" type="radio" default="click" label="MOD_VTEM_ENGINE_FIELD_ENGINEEVENT_LABEL" description="MOD_VTEM_ENGINE_FIELD_ENGINEEVENT_DESC" class="vt-para-tabs vt-para-accordion vt-para">
                <option value="click">MOD_VTEM_ENGINE_FIELD_ENGINEEVENTCLICK_LABEL</option>
                <option value="mouseenter">MOD_VTEM_ENGINE_FIELD_ENGINEEVENTMOUSEOVER_LABEL</option>
            </field>            
            <field name="mod_title_type" type="list" default="content" label="MOD_VTEM_ENGINE_FIELD_ENGINETITLE_LABEL" description="MOD_VTEM_ENGINE_FIELD_ENGINETITLE_DESC" class="vt-para-tabs vt-para-accordion vt-para">
                <option value="content">MOD_VTEM_ENGINE_FIELD_ENGINEBYTITLE_LABEL</option>
                <option value="custom">MOD_VTEM_ENGINE_FIELD_ENGINECUSTOMTITLE_LABEL</option>
            </field>
            <field name="mod_title_custom" type="text" default="Tab Title1; Tab Title2; Tab Title3" label="MOD_VTEM_ENGINE_FIELD_ENGINECUSTOMTITLE_LABEL" description="MOD_VTEM_ENGINE_FIELD_ENGINECUSTOMTITLE_DESC" class="vt-para-tabs vt-para-accordion vt-para"/>
            <field name="transition_type" type="list" default="fade" label="MOD_VTEM_ENGINE_FIELD_ENGINEEFFECT_LABEL" description="MOD_VTEM_ENGINE_FIELD_ENGINEEFFECT_DESC" class="vt-para-tabs vt-para">
                <option value="fade">Fade</option>
			    <option value="scrollLeft">scrollLeft</option>
				<option value="scrollRight">scrollRight</option>
				<option value="drop">Drop</option>
				<option value="bounce">Bounce</option>
            </field>
			<!--Parameter for Slidehow-->
			<field name="slideshow-effect" type="list" default="random" label="MOD_VTEM_ENGINE_FIELD_EFFECT_LABEL" description="MOD_VTEM_ENGINE_FIELD_EFFECT_DESC" class="vt-para-slideshow vt-para">
					<option value="cube">Cube</option>
					<option value="cubeRandom">cubeRandom</option>
					<option value="block">block</option>
					<option value="cubeStop">cubeStop</option>
					<option value="cubeHide">cubeHide</option>
					<option value="cubeSize">cubeSize</option>
					<option value="horizontal">horizontal</option>
					<option value="showBars">showBars</option>
					<option value="showBarsRandom">showBarsRandom</option>
					<option value="tube">tube</option>
					<option value="fade">fade</option>
					<option value="fadeFour">fadeFour</option>
					<option value="paralell">paralell</option>
					<option value="blind">blind</option>
					<option value="blindHeight">blindHeight</option>
					<option value="blindWidth">blindWidth</option>
					<option value="directionTop">directionTop</option>
					<option value="directionBottom">directionBottom</option>
					<option value="directionRight">directionRight</option>
					<option value="directionLeft">directionLeft</option>
					<option value="cubeStopRandom">cubeStopRandom</option>
					<option value="cubeSpread">cubeSpread</option>
					<option value="cubeJelly">cubeJelly</option>
					<option value="glassBlock">glassBlock</option>
					<option value="glassCube">glassCube</option>
					<option value="circles">circles</option>
					<option value="circlesInside">circlesInside</option>
					<option value="circlesRotate">circlesRotate</option>
					<option value="downBars">downBars</option>
					<option value="upBars">upBars</option>
					<option value="cubeShow">cubeShow</option>
					<option value="swapBarsBack">swapBarsBack</option>
					<option value="swapBars">swapBars</option>
					<option value="hideBars">hideBars</option>
					<option value="cut">cut</option>
					<option value="swapBlocks">swapBlocks</option>
					<option value="random">random</option>
					<option value="randomSmart">randomSmart</option>
			</field>
			<field name="slideshow-nav" type="list" default="dots" label="MOD_VTEM_ENGINE_FIELD_NAV_LABEL" description="MOD_VTEM_ENGINE_FIELD_NAV_DESC" class="vt-para-slideshow vt-para">
			    <option value="none">None</option>
				<option value="dots">Dots</option>
				<option value="dotspreview">Dots with Preview</option>
				<option value="numbers">Numbers</option>
				<option value="thumbs">Thumbnails</option>
			</field>
			<field name="slideshow-nav-align" type="radio" default="left" label="MOD_VTEM_ENGINE_FIELD_NAVALIGN_LABEL" description="MOD_VTEM_ENGINE_FIELD_NAVALIGN_DESC" class="vt-para-slideshow vt-para">
				<option value="left">Left</option>
				<option value="center">Center</option>
				<option value="right">Right</option>
			</field>
			<field name="slideshow-progressbar" type="radio" default="0" label="MOD_VTEM_ENGINE_FIELD_PROGRESSBAR_LABEL" description="MOD_VTEM_ENGINE_FIELD_PROGRESSBAR_DESC" class="vt-para-slideshow vt-para">
				<option value="1">JYES</option>
				<option value="0">JNO</option>
			</field>
			<!--Parameter for Scroller-->
			<field name="scroller-direction" type="radio" default="horizontal" label="MOD_VTEM_ENGINE_FIELD_SCROLLERDIRECTION_LABEL" description="MOD_VTEM_ENGINE_FIELD_SCROLLERDIRECTION_DESC" class="vt-para-scroller vt-para">
				<option value="horizontal">Horizontal</option>
				<option value="vertical">Vertical</option>
			</field>
			<field name="scroller-animation" type="radio" default="slide" label="MOD_VTEM_ENGINE_FIELD_SCROLLERANIMATION_LABEL" description="MOD_VTEM_ENGINE_FIELD_SCROLLERANIMATION_DESC" class="vt-para-scroller vt-para">
				<option value="slide">Slide</option>
				<option value="fade">Fade</option>
				<option value="blind">Blind</option>
			</field>
			<field name="scroller-css-animation" type="list" default="no-css-animation" label="CSS3 animation" description="" class="vt-para-scroller vt-para">
				<option value="no-css-animation">None</option>
				<option value="bounce">bounce</option>
				<option value="flash">flash</option>
				<option value="pulse">pulse</option>
				<option value="swing">swing</option>
				<option value="bounceIn">bounceIn</option>
				<option value="bounceInDown">bounceInDown</option>
				<option value="bounceInLeft">bounceInLeft</option>
				<option value="bounceInRight">bounceInRight</option>
				<option value="bounceInUp">bounceInUp</option>
				<option value="fadeIn">fadeIn</option>
				<option value="fadeInDown">fadeInDown</option>
				<option value="fadeInDownBig">fadeInDownBig</option>
				<option value="fadeInLeft">fadeInLeft</option>
				<option value="fadeInLeftBig">fadeInLeftBig</option>
				<option value="fadeInRight">fadeInRight</option>
				<option value="fadeInRightBig">fadeInRightBig</option>
				<option value="fadeInUp">fadeInUp</option>
				<option value="fadeInUpBig">fadeInUpBig</option>
				<option value="flip">flip</option>
				<option value="flipInX">flipInX</option>
				<option value="flipInY">flipInY</option>
				<option value="lightSpeedIn">lightSpeedIn</option>
				<option value="rotateIn">rotateIn</option>
				<option value="rotateInDownLeft">rotateInDownLeft</option>
				<option value="rotateInDownRight">rotateInDownRight</option>
				<option value="rotateInUpLeft">rotateInUpLeft</option>
				<option value="rotateInUpRight">rotateInUpRight</option>
				<option value="slideInDown">slideInDown</option>
				<option value="slideInLeft">slideInLeft</option>
				<option value="slideInRight">slideInRight</option>
				<option value="rollIn">rollIn</option>
			</field>
			<field name="scroller-maxitem" type="text" default="1" label="MOD_VTEM_ENGINE_FIELD_SCROLLERMAXITEM_LABEL" description="MOD_VTEM_ENGINE_FIELD_SCROLLERMAXITEM_DESC" class="vt-para-scroller vt-para" />
			<field name="scroller-nav" type="radio" default="1" label="MOD_VTEM_ENGINE_FIELD_SCROLLERNAV_LABEL" description="MOD_VTEM_ENGINE_FIELD_SCROLLERNAV_DESC" class="vt-para-scroller vt-para">
				<option value="1">JYES</option>
				<option value="0">JNO</option>
			</field>
			<!--Parameter for Accordion-->
			<field name="accordionOneopen" type="radio" default="1" label="MOD_VTEM_ENGINE_FIELD_ENGINEACCONEOPEN_LABEL" description="MOD_VTEM_ENGINE_FIELD_ENGINEACCONEOPEN_DESC" class="vt-para-accordion vt-para">
                <option value="1">JYES</option>
                <option value="0">JNO</option>
            </field>
			                   
            <field name="auto_play" type="radio" default="1" label="MOD_VTEM_ENGINE_FIELD_ENGINEAUTOPLAY_LABEL" description="MOD_VTEM_ENGINE_FIELD_ENGINEAUTOPLAY_DESC">
                <option value="1">JYES</option>
                <option value="0">JNO</option>
            </field>
			<field name="autoplay_delay" type="text" default="6000" label="MOD_VTEM_ENGINE_FIELD_ENGINEDELAY_LABEL" description="MOD_VTEM_ENGINE_FIELD_ENGINEDELAY_DESC" />
            <field name="pauseonhover" type="radio" default="1" label="MOD_VTEM_ENGINE_FIELD_ENGINEPAUSEHOVER_LABEL" description="MOD_VTEM_ENGINE_FIELD_ENGINEPAUSEHOVER_DESC" class="vt-para-scroller vt-para-slideshow vt-para-tabs vt-para" >
                <option value="1">JYES</option>
                <option value="0">JNO</option>
            </field>
			<field name="prevnext" type="radio" default="0" label="MOD_VTEM_ENGINE_FIELD_NEXTPREV_LABEL" description="MOD_VTEM_ENGINE_FIELD_NEXTPREV_DESC" class="vt-para-scroller vt-para-slideshow vt-para-tabs vt-para">
                <option value="1">JSHOW</option>
                <option value="0">JHIDE</option>
            </field>
            <field name="jquery" type="radio" default="1" label="MOD_VTEM_ENGINE_FIELD_JQUERY_LABEL" description="MOD_VTEM_ENGINE_FIELD_JQUERY_DESC">
			    <option value="1">MOD_VTEM_ENGINE_OPTION_JQUERYAUTO_VALUE</option>
                <option value="2">MOD_VTEM_ENGINE_OPTION_JQUERYENABLE_VALUE</option>
                <option value="0">MOD_VTEM_ENGINE_OPTION_JQUERYDISABLE_VALUE</option>
            </field>
			<field name="modulecss" type="radio" default="1" label="MOD_VTEM_ENGINE_FIELD_MODULECSS_LABEL" description="MOD_VTEM_ENGINE_FIELD_MODULECSS_DESC">
                <option value="1">JYES</option>
                <option value="0">JNO</option>
            </field>
			<field name="beforetext" type="text" default="" label="MOD_VTEM_ENGINE_FIELD_BEFORETEXT_LABEL" description="MOD_VTEM_ENGINE_FIELD_BEFORETEXT_DESC" filter="safehtml"/>
			<field name="aftertext" type="text" default="" label="MOD_VTEM_ENGINE_FIELD_AFTERTEXT_LABEL" description="MOD_VTEM_ENGINE_FIELD_AFTERTEXT_DESC" filter="safehtml"/>
            <field name="moduleclass_sfx" type="text" default="" label="Module Class Suffix" description="" />
    </fieldset>
  </fields>
 </config>
</extension>
